Table With Conditional Formats and Data Validation

Spread supports automatically adding any existing conditional formatting and data validation rules to newly added table rows or columns.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
Description
app.js
index.html
styles.css
Copy to CodeMine

If the existing table has conditional formatting and/or data validation rules and the newly added table row or column intersects or is adjacent to the range of the conditional formatting/data validation, the rules will automatically be applied to the newly added data when one the following actions are done:

  • table insert rows
  • table insert columns
  • table auto expand
  • table resize
If the existing table has conditional formatting and/or data validation rules and the newly added table row or column intersects or is adjacent to the range of the conditional formatting/data validation, the rules will automatically be applied to the newly added data when one the following actions are done: table insert rows table insert columns table auto expand table resize
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss")); initSpread(spread); }; function initSpread(spread) { var sheet1 = spread.getSheet(0); var spreadNS = GC.Spread.Sheets; var table = sheet1.tables.add("Table1", 2, 1, 9, 5, spreadNS.Tables.TableThemes["medium4"]); for (var i = 1; i <= 8; i++) { sheet1.getCell(2 + i, 1).value(i + 1); sheet1.getCell(2 + i, 2).value(i + 2); sheet1.getCell(2 + i, 3).value(i + 3); sheet1.getCell(2 + i, 4).value(i + 4); sheet1.getCell(2 + i, 5).value(i + 5); } sheet1.setColumnWidth(1, 100); sheet1.setColumnWidth(2, 100); sheet1.setColumnWidth(3, 100); sheet1.setColumnWidth(4, 100); sheet1.setColumnWidth(5, 100); var cfs = sheet1.conditionalFormats; var style = new spreadNS.Style(); style.backColor = '#F4F8EB'; style.foreColor = '#82bc00'; //apply style for numbers greater than 8 var cvRule = cfs.addCellValueRule( spreadNS.ConditionalFormatting.ComparisonOperators.greaterThan, 8, 0, style, [new GC.Spread.Sheets.Range(3, 5, 8, 1)]); spread.options.highlightInvalidData = true; //Numbers between 4,6 are invalid sheet1.getRange(3, 1, 8, 5).validator(spreadNS.DataValidation.createNumberValidator(spreadNS.ConditionalFormatting.ComparisonOperators.notBetween, 4, 6, false)); } function _getElementById(id) { return document.getElementById(id); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-spreadsheets"></div> <div class="options-container"> <div class="option-row"> <label>Table's columns B:F have data validation rules. Column F also has conditional formatting rules. </label> <label>Click in cell F11 (value ‘13’) and press the Tab key. A new row will be added. </label> <label><b>You can follow the rules in the above rows to see this in action. </b></label> <label>For example, in B12, type ‘5’. This is not a valid value so it will be highlighted. </label> <label>Type ‘10’ in F12 to highlight is using the conditional formatting rules.</label> </div> </div> </div> </div></body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } .sample-spreadsheets { width: calc(100% - 280px); height: 100%; overflow: hidden; float: left; } .options-container { float: right; width: 280px; padding: 12px; height: 100%; box-sizing: border-box; background: #fbfbfb; overflow: auto; } .option-row { font-size: 14px; padding: 5px; margin-top: 10px; } label { display: block; margin-bottom: 6px; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

If the existing table has conditional formatting and/or data validation rules and the newly added table row or column intersects or is adjacent to the range of the conditional formatting/data validation, the rules will automatically be applied to the newly added data when one the following actions are done:
table insert rows
table insert columns
table auto expand
table resize
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
let spread = $event.spread;
spread.suspendPaint();
let spreadNS = GC.Spread.Sheets;
let sheet1 = spread.getActiveSheet();
var table = sheet1.tables.add("Table1", 2, 1, 9, 5, spreadNS.Tables.TableThemes["medium4"]);
for (var i = 1; i <= 8; i++) {
sheet1.getCell(2 + i, 1).value(i + 1);
sheet1.getCell(2 + i, 2).value(i + 2);
sheet1.getCell(2 + i, 3).value(i + 3);
sheet1.getCell(2 + i, 4).value(i + 4);
sheet1.getCell(2 + i, 5).value(i + 5);
}
sheet1.setColumnWidth(1, 100);
sheet1.setColumnWidth(2, 100);
sheet1.setColumnWidth(3, 100);
sheet1.setColumnWidth(4, 100);
sheet1.setColumnWidth(5, 100);
var cfs = sheet1.conditionalFormats;
var style = new spreadNS.Style();
style.backColor = '#F4F8EB';
style.foreColor = '#82bc00';
//apply style for numbers greater than 8
var cvRule = cfs.addCellValueRule(
spreadNS.ConditionalFormatting.ComparisonOperators.greaterThan,
8, 0, style, [new GC.Spread.Sheets.Range(3, 5, 8, 1)]);
spread.options.highlightInvalidData = true;
//Numbers between 4,6 are invalid
sheet1.getRange(3, 1, 8, 5).validator(spreadNS.DataValidation.createNumberValidator(spreadNS.ConditionalFormatting.ComparisonOperators.notBetween, 4, 6, false));
spread.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label>Table's columns B:F have data validation rules. Column F also has conditional formatting rules. </label>
<label>Click in cell F11 (value ‘13’) and press the Tab key. A new row will be added. </label>
<label><b>You can follow the rules in the above rows to see this in action. </b></label>
<label>For example, in B12, type ‘5’. This is not a valid value so it will be highlighted. </label>
<label>Type ‘10’ in F12 to highlight is using the conditional formatting rules.</label>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

If the existing table has conditional formatting and/or data validation rules and the newly added table row or column intersects or is adjacent to the range of the conditional formatting/data validation, the rules will automatically be applied to the newly added data when one the following actions are done:
table insert rows
table insert columns
table auto expand
table resize
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
export function AppFunc() {
const initSpread = (spread) => {
spread.suspendPaint();
let sheet1 = spread.getActiveSheet();
let spreadNS = GC.Spread.Sheets;
var table = sheet1.tables.add("Table1", 2, 1, 9, 5, spreadNS.Tables.TableThemes["medium4"]);
for (var i = 1; i <= 8; i++) {
sheet1.getCell(2 + i, 1).value(i + 1);
sheet1.getCell(2 + i, 2).value(i + 2);
sheet1.getCell(2 + i, 3).value(i + 3);
sheet1.getCell(2 + i, 4).value(i + 4);
sheet1.getCell(2 + i, 5).value(i + 5);
}
sheet1.setColumnWidth(1, 100);
sheet1.setColumnWidth(2, 100);
sheet1.setColumnWidth(3, 100);
sheet1.setColumnWidth(4, 100);
sheet1.setColumnWidth(5, 100);
var cfs = sheet1.conditionalFormats;
var style = new spreadNS.Style();
style.backColor = '#F4F8EB';
style.foreColor = '#82bc00';
//apply style for numbers greater than 8
var cvRule = cfs.addCellValueRule(
spreadNS.ConditionalFormatting.ComparisonOperators.greaterThan,
8, 0, style, [new GC.Spread.Sheets.Range(3, 5, 8, 1)]);
spread.options.highlightInvalidData = true;
//Numbers between 4,6 are invalid
sheet1.getRange(3, 1, 8, 5).validator(spreadNS.DataValidation.createNumberValidator(spreadNS.ConditionalFormatting.ComparisonOperators.notBetween, 4, 6, false));
spread.resumePaint();
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
<label>Table's columns B:F have data validation rules. Column F also has conditional formatting rules. </label>
<br /> <br />
<label>Click in cell F11 (value ‘13’) and press the Tab key. A new row will be added. </label>
<br /> <br />
<label><b>You can follow the rules in the above rows to see this in action. </b></label>
<br /> <br />
<label>For example, in B12, type ‘5’. This is not a valid value so it will be highlighted. </label>
<br /> <br />
<label>Type ‘10’ in F12 to highlight is using the conditional formatting rules.</label>
</div>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
<label>Table's columns B:F have data validation rules. Column F also has conditional formatting rules. </label>
<br /> <br />
<label>Click in cell F11 (value ‘13’) and press the Tab key. A new row will be added. </label>
<br /> <br />
<label><b>You can follow the rules in the above rows to see this in action. </b></label>
<br /> <br />
<label>For example, in B12, type ‘5’. This is not a valid value so it will be highlighted. </label>
<br /> <br />
<label>Type ‘10’ in F12 to highlight is using the conditional formatting rules.</label>
</div>
</div>
</div>
);
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
let sheet1 = spread.getActiveSheet();
let spreadNS = GC.Spread.Sheets;
var table = sheet1.tables.add("Table1", 2, 1, 9, 5, spreadNS.Tables.TableThemes["medium4"]);
for (var i = 1; i <= 8; i++) {
sheet1.getCell(2 + i, 1).value(i + 1);
sheet1.getCell(2 + i, 2).value(i + 2);
sheet1.getCell(2 + i, 3).value(i + 3);
sheet1.getCell(2 + i, 4).value(i + 4);
sheet1.getCell(2 + i, 5).value(i + 5);
}
sheet1.setColumnWidth(1, 100);
sheet1.setColumnWidth(2, 100);
sheet1.setColumnWidth(3, 100);
sheet1.setColumnWidth(4, 100);
sheet1.setColumnWidth(5, 100);
var cfs = sheet1.conditionalFormats;
var style = new spreadNS.Style();
style.backColor = '#F4F8EB';
style.foreColor = '#82bc00';
//apply style for numbers greater than 8
var cvRule = cfs.addCellValueRule(
spreadNS.ConditionalFormatting.ComparisonOperators.greaterThan,
8, 0, style, [new GC.Spread.Sheets.Range(3, 5, 8, 1)]);
spread.options.highlightInvalidData = true;
//Numbers between 4,6 are invalid
sheet1.getRange(3, 1, 8, 5).validator(spreadNS.DataValidation.createNumberValidator(spreadNS.ConditionalFormatting.ComparisonOperators.notBetween, 4, 6, false));
spread.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app">
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

If the existing table has conditional formatting and/or data validation rules and the newly added table row or column intersects or is adjacent to the range of the conditional formatting/data validation, the rules will automatically be applied to the newly added data when one the following actions are done:
table insert rows
table insert columns
table auto expand
table resize
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label>Table's columns B:F have data validation rules. Column F also has conditional formatting rules. </label>
<label>Click in cell F11 (value ‘13’) and press the Tab key. A new row will be added. </label>
<label><b>You can follow the rules in the above rows to see this in action. </b></label>
<label>For example, in B12, type ‘5’. This is not a valid value so it will be highlighted. </label>
<label>Type ‘10’ in F12 to highlight is using the conditional formatting rules.</label>
</div>
</div>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
const initSpread = (spread) => {
spread.suspendPaint();
let spreadNS = GC.Spread.Sheets;
let sheet1 = spread.getActiveSheet();
var table = sheet1.tables.add("Table1", 2, 1, 9, 5, spreadNS.Tables.TableThemes["medium4"]);
for (var i = 1; i <= 8; i++) {
sheet1.getCell(2 + i, 1).value(i + 1);
sheet1.getCell(2 + i, 2).value(i + 2);
sheet1.getCell(2 + i, 3).value(i + 3);
sheet1.getCell(2 + i, 4).value(i + 4);
sheet1.getCell(2 + i, 5).value(i + 5);
}
sheet1.setColumnWidth(1, 100);
sheet1.setColumnWidth(2, 100);
sheet1.setColumnWidth(3, 100);
sheet1.setColumnWidth(4, 100);
sheet1.setColumnWidth(5, 100);
var cfs = sheet1.conditionalFormats;
var style = new spreadNS.Style();
style.backColor = '#F4F8EB';
style.foreColor = '#82bc00';
//apply style for numbers greater than 8
var cvRule = cfs.addCellValueRule(
spreadNS.ConditionalFormatting.ComparisonOperators.greaterThan,
8, 0, style, [new GC.Spread.Sheets.Range(3, 5, 8, 1)]);
spread.options.highlightInvalidData = true;
//Numbers between 4,6 are invalid
sheet1.getRange(3, 1, 8, 5).validator(spreadNS.DataValidation.createNumberValidator(spreadNS.ConditionalFormatting.ComparisonOperators.notBetween, 4, 6, false));
spread.resumePaint();
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: block;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);